itpp::Impulse_Source Class Reference
Signal Processing (SP) Module » Deterministic Sources

Impulse source. More...

`#include <itpp/signal/source.h>`

## Public Member Functions

| Impulse_Source (double freq, double ampl=1.0, double inphase=0.0)
| Constructor. Set frequency, amplitude and start phase.
double | operator() ()
| Return a single sample.
vec | operator() (int n)
| Get a sample vector.
mat | operator() (int h, int w)
| Get a sample matrix.

## Detailed Description

Impulse source.

Definition at line 128 of file source.h.

## Constructor & Destructor Documentation

## Impulse_Source()

itpp::Impulse_Source::Impulse_Source | ( | double | freq,
|  | double | ampl = `1.0`,
|  | double | inphase = `0.0`
| ) |  |

Constructor. Set frequency, amplitude and start phase.

Definition at line 219 of file source.cpp.

References itpp::pi.

## Member Function Documentation

## operator()() [1/3]

double itpp::Impulse_Source::operator() | ( |  | ) |

inline

Return a single sample.

Definition at line 134 of file source.h.

## operator()() [2/3]

vec itpp::Impulse_Source::operator() | ( | int | n | ) |

Get a sample vector.

Definition at line 242 of file source.cpp.

## operator()() [3/3]

mat itpp::Impulse_Source::operator() | ( | int | h,
|  | int | w
| ) |  |

Get a sample matrix.

Definition at line 252 of file source.cpp.

The documentation for this class was generated from the following files:

- itpp/signal/source.h
- itpp/signal/source.cpp

Generated on Mon Apr 22 2024 09:45:27 for IT++ by Doxygen 1.9.8